Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javassist.bytecode
Class InnerClassesAttribute

    java.lang.Object
      |
      +--javassist.bytecode.AttributeInfo
            |
            +--javassist.bytecode.InnerClassesAttribute

public class InnerClassesAttribute
extends AttributeInfo

`InnerClasses_attribute`.

Field Summary
`static java.lang.String` | `tag` The name of this attribute `"InnerClasses"`.

Method Summary
`int` | `accessFlags(int nth)` Returns `classes[nth].inner_class_access_flags`.
`AttributeInfo` | `copy(ConstPool newCp, java.util.Map classnames)` Makes a copy.
`int` | `innerClass(int nth)` Returns `classes[nth].inner_class_info_index`.
`int` | `innerName(int nth)` Returns `classes[nth].inner_name_index`.
`int` | `length()` Returns `number_of_classes`.
`int` | `outerClass(int nth)` Returns `classes[nth].outer_class_info_index`.

Methods inherited from class javassist.bytecode.AttributeInfo
`get, getConstPool, getName, set`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tag

    public static final java.lang.String tag

  The name of this attribute `"InnerClasses"`.

  See Also:
    Constant Field Values

Method Detail

### length

    public int length()

  Returns `number_of_classes`.

  Overrides:
    `length` in class `AttributeInfo`

### innerClass

    public int innerClass(int nth)

  Returns `classes[nth].inner_class_info_index`.

### outerClass

    public int outerClass(int nth)

  Returns `classes[nth].outer_class_info_index`.

### innerName

    public int innerName(int nth)

  Returns `classes[nth].inner_name_index`.

### accessFlags

    public int accessFlags(int nth)

  Returns `classes[nth].inner_class_access_flags`.

### copy

    public AttributeInfo copy(ConstPool newCp,
                              java.util.Map classnames)

  Makes a copy. Class names are replaced according to the given `Map` object.

  Overrides:
    `copy` in class `AttributeInfo`
  Parameters:
    `newCp` - the constant pool table used by the new copy.
    `classnames` - pairs of replaced and substituted class names.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Javassist, a Java-bytecode translator toolkit. Copyright (C) 1999-2003 Shigeru Chiba. All Rights Reserved.